Package org.firebirdsql.gds.ng

## Class FbServiceProperties

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractAttachProperties<IServiceProperties>
  - - org.firebirdsql.gds.ng.FbServiceProperties

- All Implemented Interfaces:
    `IAttachProperties<IServiceProperties>`, `IServiceProperties`, `AttachmentProperties`, `BaseProperties`, `ServiceConnectionProperties`

      public final class FbServiceProperties
      extends AbstractAttachProperties<IServiceProperties>
      implements IServiceProperties

  Mutable implementation of `IServiceProperties`.
  Since:
    3.0
  Author:
    Mark Rotteveel
  See Also:
    `FbImmutableServiceProperties`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.firebirdsql.gds.ng.AbstractAttachProperties

      `AbstractAttachProperties.PropertyUpdateListener`

  - ### Field Summary

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IServiceProperties

      `DEFAULT_SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FbServiceProperties()` | Default constructor for FbServiceProperties
    `FbServiceProperties​(IServiceProperties src)` | Copy constructor for FbServiceProperties.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IServiceProperties` | `asImmutable()` |
    `IServiceProperties` | `asNewMutable()` |
    `protected void` | `dirtied()` | Called by setters if they have been called.
    `boolean` | `equals​(java.lang.Object o)` |

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractAttachProperties

      `connectionPropertyValues, getBooleanProperty, getIntProperty, getProperty, hashCode, isImmutable, property, registerPropertyUpdateListener, resolveStoredDefaultValue, setBooleanProperty, setIntProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

      `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

      `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

      `getExpectedDb, getServiceName, setExpectedDb, setServiceName`

- - ### Constructor Detail

    - #### FbServiceProperties

          public FbServiceProperties​(IServiceProperties src)

      Copy constructor for FbServiceProperties.

      All properties defined in `IServiceProperties` are copied from `src` to the new instance.

      Parameters:
        `src` - Source to copy from

    - #### FbServiceProperties

          public FbServiceProperties()

      Default constructor for FbServiceProperties

  - ### Method Detail

    - #### asImmutable

          public IServiceProperties asImmutable()

      Specified by:
        `asImmutable` in interface `IAttachProperties<IServiceProperties>`
      Specified by:
        `asImmutable` in interface `IServiceProperties`
      Returns:
        An immutable version of this instance as an implementation of `IServiceProperties`

    - #### asNewMutable

          public IServiceProperties asNewMutable()

      Specified by:
        `asNewMutable` in interface `IAttachProperties<IServiceProperties>`
      Specified by:
        `asNewMutable` in interface `IServiceProperties`
      Returns:
        A new, mutable, instance as an implementation of `IServiceProperties` with all properties copied.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `AbstractAttachProperties<IServiceProperties>`

    - #### dirtied

          protected void dirtied()

      Description copied from class: `AbstractAttachProperties`
      Called by setters if they have been called.
      Specified by:
        `dirtied` in class `AbstractAttachProperties<IServiceProperties>`